package model

import (
	"gorm.io/gorm"
)

type Carrier struct {
	gorm.Model
	BaseModel   `gorm:"embedded"`
	CarrierCode string `gorm:"column:carrier_code;type:varchar(50);uniqueIndex:idx_carrier_code,where:deleted_at IS NULL;not null;comment:运营商编码" json:"carrier_code"`
	CarrierName string `gorm:"column:carrier_name;type:varchar(100);not null;comment:运营商名称" json:"carrier_name"`
	CarrierType string `gorm:"column:carrier_type;type:varchar(20);not null;default:'CMCC';comment:运营商类型(CMCC/CUCC/CTCC/CBN)" json:"carrier_type"`
	Description string `gorm:"column:description;type:varchar(500);comment:运营商描述" json:"description"`
	Status      int    `gorm:"column:status;type:int;default:1;comment:状态 1-启用 0-禁用" json:"status"`
}

// TableName 指定表名
func (Carrier) TableName() string {
	return "tb_carrier"
}
